javax.swing.text.html

## Class HTMLDocument.BlockElement

- java.lang.Object
- - javax.swing.text.AbstractDocument.AbstractElement
  - - javax.swing.text.AbstractDocument.BranchElement
    - - javax.swing.text.html.HTMLDocument.BlockElement

- All Implemented Interfaces:
    Serializable, AttributeSet, Element, MutableAttributeSet, TreeNode
  Enclosing class:
    HTMLDocument

      public class HTMLDocument.BlockElement
      extends AbstractDocument.BranchElement

  An element that represents a structural block of HTML.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.swing.text.AttributeSet

      `AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

  - ### Field Summary

    - ### Fields inherited from interface javax.swing.text.AttributeSet

      `NameAttribute, ResolveAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLDocument.BlockElement(Element parent, AttributeSet a)` Constructs a composite element that initially contains no children.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name of the element.
    `AttributeSet` | `getResolveParent()` Gets the resolving parent.

    - ### Methods inherited from class javax.swing.text.AbstractDocument.BranchElement

      `children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, positionToElement, replace, toString`

    - ### Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement

      `addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLDocument.BlockElement

          public HTMLDocument.BlockElement(Element parent,
                                   AttributeSet a)

      Constructs a composite element that initially contains no children.
      Parameters:
        `parent` - the parent element
        `a` - the attributes for the element
      Since:
        1.4

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of the element.
      Specified by:
        `getName` in interface `Element`
      Overrides:
        `getName` in class `AbstractDocument.BranchElement`
      Returns:
        the name, null if none

    - #### getResolveParent

          public AttributeSet getResolveParent()

      Gets the resolving parent. HTML attributes are not inherited at the model level so we override this to return null.
      Specified by:
        `getResolveParent` in interface `AttributeSet`
      Overrides:
        `getResolveParent` in class `AbstractDocument.AbstractElement`
      Returns:
        null, there are none
      See Also:
        `AttributeSet.getResolveParent()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.